Bug 1291889 - The term "uber" used in candlepin is not very friendly to international users
The term "uber" used in candlepin is not very friendly to international users
Status: CLOSED WONTFIX
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
1.2
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: William Poteat
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 14:42 EST by John Sefler
Modified: 2016-02-02 14:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 14:54:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2015-12-15 14:42:46 EST
Description of problem:
While reviewing a fix for the misspelling of "ueber" as detailed in bug https://bugzilla.redhat.com/show_bug.cgi?id=1190814#c1 I noticed that very few translators actually translated a native term for "uber".  Hence it seems that candlepin should replace this term with something more translatable...  something like "debug" might be better since it sounds like the most common use of an "uber cert" is by katello users that use a "debug cert" to browse the contents of Satellite.  But I am not an expert on the usage of this special certificate.  Please brainstorm with katello users a better term for "uber".

Version-Release number of selected component (if applicable):
[root@jsefler-f22-6candlepin candlepin]# git branch
* master
[root@jsefler-f22-6candlepin candlepin]# git show | head -1
commit 06f6905201ff5b7e21b2a73aede608d9b9219b2c


Here are the current candlepin translations for "uber".... 



[root@jsefler-f22-6candlepin candlepin]# MSGID="uber"; for L in `ls ~/candlepin/common/po/*.po`; do echo ""; echo "Searching for '$MSGID' in LANG file '$L'..."; grep -i "$MSGID" -A1 $L; done;

Searching for 'uber' in LANG file '/root/candlepin/common/po/as.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "গৰাকী {0} ৰ বাবে uber প্ৰমাণপত্ৰ সৃজন কৰোতে ত্ৰুটি"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "গৰাকী {0} ৰ বাবে uber প্ৰমাণপত্ৰ পোৱা নগল। অনুগ্ৰহ কৰি এটা সৃজন কৰক।"


Searching for 'uber' in LANG file '/root/candlepin/common/po/bn_IN.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "{0} মালিকের জন্য uber cert প্রস্তুত করতে সমস্যা"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "{0} মালিকের uber সার্টিফিকেট পাওয়া যায়নি। অনুগ্রহ করে একটি প্রস্তুত করুন।"


Searching for 'uber' in LANG file '/root/candlepin/common/po/de.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "Problem beim Generieren des Überzertifikats für Besitzer {0}"
--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr ""

Searching for 'uber' in LANG file '/root/candlepin/common/po/es.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "Problema al generar certificado Uber para propietario {0}"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr ""
"No se encontró el certificado Uber para propietario  {0}. Por favor generar "
"uno.  "

Searching for 'uber' in LANG file '/root/candlepin/common/po/fr.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr ""
"Problème lors de la génération du certificat uber pour le propriétaire {0}"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr ""
"Le certificat uber pour le propriétaire {0} est introuvable. Veuillez en "
"générer un."

Searching for 'uber' in LANG file '/root/candlepin/common/po/gu.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "માલિક {0} માટે uber પ્રમાણપત્રને ઉત્પન્ન કરતી વખતે સમસ્યા"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "માલિક {0} માટે uber પ્રમાણપત્ર મળ્યુ ન હતુ. મહેરબાની કરીને એકને ઉત્પન્ન કરો."


Searching for 'uber' in LANG file '/root/candlepin/common/po/hi.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "स्वामी {0} के लिए uber cert जनित करने में समस्या"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "स्वामी {0} के लिए uber प्रमाणपत्र नहीं मिला. कोई एक जनित करें."


Searching for 'uber' in LANG file '/root/candlepin/common/po/it.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr ""
"Problemi durante la generazione di un euber cert (certificato master) per il "
"proprietario {0}"
--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr ""
"Il certificato euber per il proprietario {0} non è stato trovato. Generarne "
"uno nuovo."

Searching for 'uber' in LANG file '/root/candlepin/common/po/ja.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "所有者 {0} の uber 証明書の生成時の問題"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "所有者 {0} の uber 証明書は見つかりません。これを生成してください。"


Searching for 'uber' in LANG file '/root/candlepin/common/po/kn.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "{0} ಎಂಬ ಗ್ರಾಹಕನಿಗಾಗಿ uber cert ಅನ್ನು ಉತ್ಪಾದಿಸುವಲ್ಲಿ ತೊಂದರೆ ಉಂಟಾಗಿದೆ"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr ""
"{0} ಎಂಬ ಮಾಲಿಕನಿಗಾಗಿ uber ಪ್ರಮಾಣಪತ್ರವು ಕಂಡುಬಂದಿಲ್ಲ. ದಯವಿಟ್ಟು ಹೊಸತೊಂದನ್ನು ರಚಿಸಿ."


Searching for 'uber' in LANG file '/root/candlepin/common/po/ko.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "소유자 {0}의 uber 인증서를 생성하는 도중 문제 발생 "

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr ""
"소유자 {0}의 uber 인증서를 찾을 수 없습니다. 해당 인증서를 생성해 주십시오. "


Searching for 'uber' in LANG file '/root/candlepin/common/po/ml.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "{0} ഉടമസ്ഥനുള്ള uber cert ലഭ്യമാക്കുന്നതില്‍ പ്രശ്നമുണ്ടു്"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "ഉടമസ്ഥന്‍ {0}-നുള്ള uber സര്‍ട്ടിഫിക്കേറ്റ് ലഭ്യമായില്ല. ദയവായി ഒന്നു് ലഭ്യമാക്കുക."


Searching for 'uber' in LANG file '/root/candlepin/common/po/mr.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "मालक {0} करीता uber सर्ट निर्माण करतेवेळी अडचण आढळली"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "मालक {0} करीता uber प्रमाणपत्र आढळले नाही. कृपया नवीन निर्माण करा."


Searching for 'uber' in LANG file '/root/candlepin/common/po/or.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "ମାଲିକ {0} ପାଇଁ uber ପ୍ରମାଣପତ୍ର ସୃଷ୍ଟିକରିବାରେ ସମସ୍ୟା"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "uber ପ୍ରମାଣପତ୍ର ମାଲିକ {0} ମିଳୁ ନାହିଁ। ଦୟାକରି ଗୋଟିଏ ସୃଷ୍ଟି କରନ୍ତୁ।"


Searching for 'uber' in LANG file '/root/candlepin/common/po/pa.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "uber cert ਨੂੰ ਮਾਲਕ {0} ਲਈ ਬਣਾਉਣ ਵੇਲੇ ਮੁਸ਼ਕਿਲ"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "ਮਾਲਕ {0} ਲਈ uber ਪ੍ਰਮਾਣ-ਪੱਤਰ ਨਹੀਂ ਲੱਭਿਆ। ਕਿਰਪਾ ਕਰਕੇ ਹੋਰ ਬਣਾਓ।"


Searching for 'uber' in LANG file '/root/candlepin/common/po/pt_BR.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "Problema ao gerar o certificado uber para o proprietários {0}"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr ""
"certificado uber para proprietário {0} não foi encontrado. Por favor crie um."


Searching for 'uber' in LANG file '/root/candlepin/common/po/ru.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "Не удалось создать сертификат для владельца {0}"
--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "Не найден сертификат для пользователя {0}. Необходимо его создать."

Searching for 'uber' in LANG file '/root/candlepin/common/po/ta.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "uber cert-ஐ உருவாக்குவதில் உரிமையாளர் {0}-க்கு சிக்கல்"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "uber சான்றிதழ்  உரிமையாளர்{0}-க்கு காணப்படவில்லை. ஒன்றை உருவாக்கவும்."


Searching for 'uber' in LANG file '/root/candlepin/common/po/te.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "యజమాని {0} కొరకు uber cert జనియింపచేయుటలో సమస్య"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "యజమాని {0} కొరకు uber ధవీకరణపత్రం కనబడలేదు. ఒకటి జనియింపచేయండి."


Searching for 'uber' in LANG file '/root/candlepin/common/po/zh_CN.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "为所有者 {0} 生成 uber 证书出现问题"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "没有找到为所有者 {0} 的 uber 证书,请生成一个。"


Searching for 'uber' in LANG file '/root/candlepin/common/po/zh_TW.po'...
msgid "Problem generating uber cert for owner {0}"
msgstr "為擁有者 {0} 產生 uber 憑證時發生問題"

--
msgid "uber certificate for owner {0} was not found. Please generate one."
msgstr "找不到擁有者 {0} 的 uber 憑證。請產生一組憑證。"

[root@jsefler-f22-6candlepin candlepin]#
Comment 1 Barnaby Court 2016-01-04 15:44:28 EST
Marking as medium given that there is additional string work in progress at the moment. I concur with John's comment that "debug" is perhaps a better name.
Comment 2 William Poteat 2016-02-02 09:28:53 EST
After conversing with the Katello guys and the way they use it, I believe 'master cert' better captures the usage.
Comment 3 William Poteat 2016-02-02 14:54:51 EST
going to closewontfix.

Too much pain to change CP for little gain.

Note You need to log in before you can comment on or make changes to this bug.